package gui;

import java.util.Vector;

import javax.swing.Action;
import javax.swing.Icon;
import javax.swing.JButton;

public class MyButton extends JButton {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Vector<JButton> others;

	public MyButton(Vector<JButton> others) {
		super();
		this.others = others;
	}

	public MyButton(Icon icon, Vector<JButton> others) {
		super(icon);
		this.others = others;
	}

	public MyButton(String text, Vector<JButton> others) {
		super(text);
		this.others = others;
	}

	public MyButton(Action a, Vector<JButton> others) {
		super(a);
		this.others = others;
	}

	public MyButton(String text, Icon icon, Vector<JButton> others) {
		super(text, icon);
		this.others = others;
	}
	public MyButton() {
		super();
	}

	public MyButton(Icon icon) {
		super(icon);
	}

	public MyButton(String text) {
		super(text);
	}

	public MyButton(Action a) {
		super(a);
	}

	public MyButton(String text, Icon icon) {
		super(text, icon);
	}

	public Vector<JButton> getOthers(){
		return this.others;
	}
	
	public void setOthers(Vector<JButton> others){
		this.others = others;
	}
	
}
